classification
Title: Check if generated files are up-to-date in Github Actions
Type: Stage: resolved
Components: Build Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: FFY00, miss-islington, nascheme, vstinner
Priority: normal Keywords: patch

Created on 2020-10-30 17:22 by FFY00, last changed 2021-03-02 20:39 by nascheme. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23042 merged FFY00, 2020-10-30 17:24
PR 23423 merged vstinner, 2020-11-20 14:12
PR 23493 merged miss-islington, 2020-11-24 13:05
PR 23494 merged miss-islington, 2020-11-24 13:05
PR 24708 nascheme, 2021-03-02 20:39
Messages (8)
msg379989 - (view) Author: Filipe Laíns (FFY00) * (Python triager) Date: 2020-10-30 17:23
https://github.com/python/core-workflow/issues/380
msg381482 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-20 14:14
New changeset d20b7ed9c1fabac3fdebb7ec362fe4f022a54639 by Filipe Laíns in branch 'master':
bpo-42212: Check if generated files are up-to-date in GitHub Actions (GH-23042)
https://github.com/python/cpython/commit/d20b7ed9c1fabac3fdebb7ec362fe4f022a54639
msg381483 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-20 14:15
Let's see how it goes on PRs for a few days, and later we can decide if it should be backported to 3.8 and 3.9 branches.
msg381484 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-20 14:17
While we are here... it might interesting to also run patchcheck.py on PRs using GitHub Actions:
https://mail.python.org/archives/list/python-dev@python.org/message/DKLD2VLHZ3F54WTKZ7JHKWBMOZ4N5TK7/

.travis.yml uses:

script:
  # Using the built Python as patchcheck.py is built around the idea of using
  # a checkout-build of CPython to know things like what base branch the changes
  # should be compared against.
  # Only run on Linux as the check only needs to be run once.
  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then ./python Tools/scripts/patchcheck.py --travis $TRAVIS_PULL_REQUEST; fi
msg381720 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-24 12:38
New changeset ac7d0169d2bce2021b8d88973e649889d7dc1b03 by Victor Stinner in branch 'master':
bpo-42212: smelly.py also checks the dynamic library (GH-23423)
https://github.com/python/cpython/commit/ac7d0169d2bce2021b8d88973e649889d7dc1b03
msg381731 - (view) Author: miss-islington (miss-islington) Date: 2020-11-24 13:25
New changeset 15d42d7ec6ad4305ea20c7b98ab093bd33bc254c by Miss Islington (bot) in branch '3.9':
bpo-42212: Check if generated files are up-to-date in GitHub Actions (GH-23042)
https://github.com/python/cpython/commit/15d42d7ec6ad4305ea20c7b98ab093bd33bc254c
msg381732 - (view) Author: miss-islington (miss-islington) Date: 2020-11-24 13:25
New changeset b55a276a18e7c46f1e4e09fa24e9854deb0ed334 by Miss Islington (bot) in branch '3.8':
bpo-42212: Check if generated files are up-to-date in GitHub Actions (GH-23042)
https://github.com/python/cpython/commit/b55a276a18e7c46f1e4e09fa24e9854deb0ed334
msg381738 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-24 13:34
Thanks Filipe Laíns! I merged your PR on 3.8, 3.9 and master branches.
History
Date User Action Args
2021-03-02 20:39:17naschemesetnosy: + nascheme

pull_requests: + pull_request23486
2020-11-24 13:34:14vstinnersetstatus: open -> closed
versions: + Python 3.8, Python 3.9, Python 3.10
messages: + msg381738

components: + Build
resolution: fixed
stage: patch review -> resolved
2020-11-24 13:25:49miss-islingtonsetmessages: + msg381732
2020-11-24 13:25:49miss-islingtonsetmessages: + msg381731
2020-11-24 13:05:32miss-islingtonsetpull_requests: + pull_request22383
2020-11-24 13:05:21miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22382
2020-11-24 12:38:16vstinnersetmessages: + msg381720
2020-11-20 14:17:08vstinnersetmessages: + msg381484
2020-11-20 14:15:04vstinnersetmessages: + msg381483
2020-11-20 14:14:24vstinnersetmessages: + msg381482
2020-11-20 14:12:06vstinnersetpull_requests: + pull_request22315
2020-10-30 17:24:15FFY00setkeywords: + patch
stage: patch review
pull_requests: + pull_request21961
2020-10-30 17:23:24FFY00setmessages: + msg379989
2020-10-30 17:22:37FFY00create